package main

import (
	"os"

	"dubbo.apache.org/dubbo-go/v3/common/constant"
	"dubbo.apache.org/dubbo-go/v3/config"
	_ "dubbo.apache.org/dubbo-go/v3/imports"
	"github.com/filebrowser/filebrowser/v2/service"
)

func main() {
	os.Setenv(constant.ConfigFileEnvKey, "../conf/dubbogo.yaml")
	config.SetProviderService(&service.FilesProvider{})
	if err := config.Load(); err != nil {
		panic(err)
	}
	select {}
}
